Upstream information

CVE-2007-1352 at MITRE

Description

Integer overflow in the FontFileInitTable function in X.Org libXfont before 20070403 allows remote authenticated users to execute arbitrary code via a long first line in the fonts.dir file, which results in a heap overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.8
Vector AV:A/AC:M/Au:S/C:N/I:P/A:P
Access Vector Adjacent Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 247730 [RESOLVED / FIXED], 261141 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 10.0
  • xorg-x11-Xnest >= 6.8.2-100.12
  • xorg-x11-Xprt >= 6.8.2-100.12
  • xorg-x11-Xvfb >= 6.8.2-100.12
  • xorg-x11-Xvnc >= 6.8.2-100.12
  • xorg-x11-libs >= 6.8.2-100.12
  • xorg-x11-libs-32bit >= 6.8.2-100.12
  • xorg-x11-libs-64bit >= 6.8.2-100.12
  • xorg-x11-server >= 6.8.2-100.12
SUSE LINUX 10.1
  • xorg-x11-Xnest >= 6.9.0-50.32.5
  • xorg-x11-Xprt >= 6.9.0-50.32.5
  • xorg-x11-Xvfb >= 6.9.0-50.32.5
  • xorg-x11-Xvnc >= 6.9.0-50.32.5
  • xorg-x11-libs >= 6.9.0-50.32.5
  • xorg-x11-libs-32bit >= 6.9.0-50.32.5
  • xorg-x11-libs-64bit >= 6.9.0-50.32.5
  • xorg-x11-server >= 6.9.0-50.32.5
SUSE LINUX 9.3
  • xorg-x11-Xnest >= 6.8.2-30.12
  • xorg-x11-Xprt >= 6.8.2-30.12
  • xorg-x11-Xvfb >= 6.8.2-30.12
  • xorg-x11-Xvnc >= 6.8.2-30.12
  • xorg-x11-libs >= 6.8.2-30.12
  • xorg-x11-libs-32bit >= 9.3-7.3
  • xorg-x11-server >= 6.8.2-30.12
SUSE LINUX Retail Solution 8
SuSE Linux Enterprise Server 8 for AMD64
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • vnc >= 3.3.3r2-579
  • xloader >= 4.2.0-284
  • xmodules >= 4.2.0-284
  • xshared >= 4.2.0-284
ul1.s390x
slrs8.x86
ul1.s390
ul1.x86-64
YOU Patch Nr: 11490
SuSE Linux Enterprise Server 8 for IPF
UnitedLinux 1.0
  • xloader >= 4.2.0-284
  • xmodules >= 4.2.0-284
  • xshared >= 4.2.0-284
ul1.s390x
slrs8.x86
ul1.s390
ul1.x86-64
YOU Patch Nr: 11490
SuSE Linux Enterprise Server 8 for IBM zSeries
  • vnc >= 3.3.3r2-579
  • xshared >= 4.2.0-284
ul1.s390x
slrs8.x86
ul1.s390
ul1.x86-64
YOU Patch Nr: 11490
SuSE Linux Desktop 1.0
  • XFree86-libs >= 4.3.0-143
  • XFree86-server >= 4.3.0-143
core9.s390
sles9-oes.x86
YOU Patch Nr: 11484
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • XFree86-Xnest >= 4.3.99.902-43.85
  • XFree86-Xprt >= 4.3.99.902-43.85
  • XFree86-Xvfb >= 4.3.99.902-43.85
  • XFree86-Xvnc >= 4.3.99.902-43.85
  • XFree86-libs >= 4.3.99.902-43.85
  • XFree86-server >= 4.3.99.902-43.85
core9.s390
sles9-oes.x86
YOU Patch Nr: 11484
Novell Linux Desktop 9 for x86_64
  • XFree86-Xnest >= 4.3.99.902-43.85
  • XFree86-Xprt >= 4.3.99.902-43.85
  • XFree86-Xvfb >= 4.3.99.902-43.85
  • XFree86-Xvnc >= 4.3.99.902-43.85
  • XFree86-libs >= 4.3.99.902-43.85
  • XFree86-libs-32bit >= 9-200704052143
  • XFree86-server >= 4.3.99.902-43.85
core9.s390
sles9-oes.x86
YOU Patch Nr: 11484